List Streaming Policies

get https://app.mk.io/api/v1/projects/:project_name/media/streamingPolicies

Listing, Sorting and Filtering Streaming Policies

This endpoint returns the list of streaming policies in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, updated, updatedBy

Filtering

The $filter query parameter allows for streaming policies to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, updated, updatedBy, updatedByEmail, updatedByName

Examples:

?$top=10 - Returns only the first 10 streaming policies from the list.

?$orderby=name desc - Sorts streaming policies by name in descending order.

?$filter=name eq 'descriptive name' - Returns streaming policies that match the provided name.

?$orderby=created desc - Sorts streaming policies by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns streaming policies created after January 1, 2021.

Note that the default policies will always appear in the results

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of streaming policies.
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsStreamingPolicySchemaRequired
A list of streaming policies.
Show 5 propertiesHide 5 properties
idstringOptional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
namestringOptional1-260 characterspattern: ^[^\^\'<>%&:\\?/*+]+$
The name of the resource
propertiesobjectStreamingPolicyPropertiesRequired
The properties of the streaming policy.
Show 6 propertiesHide 6 properties
catalogmap from strings to anyOptional
The custom catalog configuration.
Show value schemaHide value schema
[any key]any
commonEncryptionCbcsobjectCommonEncryptionCbcsOptional
CommonEncryptionCbcs
Show 5 propertiesHide 5 properties
clearKeyEncryptionConfigurationobjectClearKeyEncryptionConfigurationOptional
Clear key configuration
Show 1 propertyHide 1 property
customKeysAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a Clear Key license delivery service.
clearTrackslist of objectsStreamingPolicyTrackSelectionOptional
This represents which tracks should not be encrypted.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
contentKeysobjectStreamingPolicyContentKeysOptional
Content keys used by the streaming policy.
Show 2 propertiesHide 2 properties
defaultKeyobjectDefaultKeyOptional
Default content key used by the encryption.
Show 2 propertiesHide 2 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
keyToTrackMappingslist of objectsStreamingPolicyContentKeyOptional
List of content keys used by the key. Used to assign different keys to different tracks. For instance, using widevine L3 for SD and L1 for HD.
Show 3 propertiesHide 3 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
trackslist of objectsStreamingPolicyTrackSelectionOptional
This represents which tracks should be encrypted.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
drmobjectCbcsDrmConfigurationOptional
DRM configuration
Show 3 propertiesHide 3 properties
FairPlay configuration
Show 2 propertiesHide 2 properties
allowPersistentLicensebooleanRequired
Allow persistent license
customLicenseAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a FairPlay license delivery service.
PlayReady configuration
Show 2 propertiesHide 2 properties
customLicenseAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a PlayReady license delivery service.
playReadyCustomAttributesstringOptional
The custom attributes for PlayReady.
Widevine configuration
Show 1 propertyHide 1 property
customLicenseAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a Widevine license delivery service.
enabledProtocolsobjectEnabledProtocolsOptional
Enabled protocols. This is the set of protocols (dash, download, and hls) that will be delivered with common encryption.
Show 4 propertiesHide 4 properties
dashbooleanRequired
Enable Dash protocol
downloadbooleanRequired
Enable download protocol
hlsbooleanRequired
Enable HLS protocol
smoothStreamingbooleanRequired
Smooth streaming is not supported and the value of this field is ignored.
commonEncryptionCencobjectCommonEncryptionCencOptional
CommonEncryptionCenc
Show 5 propertiesHide 5 properties
clearKeyEncryptionConfigurationobjectClearKeyEncryptionConfigurationOptional
Clear key configuration
Show 1 propertyHide 1 property
customKeysAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a Clear Key license delivery service.
clearTrackslist of objectsStreamingPolicyTrackSelectionOptional
This represents which tracks should not be encrypted.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
contentKeysobjectStreamingPolicyContentKeysOptional
Content keys used by the streaming policy.
Show 2 propertiesHide 2 properties
defaultKeyobjectDefaultKeyOptional
Default content key used by the encryption.
Show 2 propertiesHide 2 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
keyToTrackMappingslist of objectsStreamingPolicyContentKeyOptional
List of content keys used by the key. Used to assign different keys to different tracks. For instance, using widevine L3 for SD and L1 for HD.
Show 3 propertiesHide 3 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
trackslist of objectsStreamingPolicyTrackSelectionOptional
This represents which tracks should be encrypted.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
drmobjectCencDrmConfigurationOptional
DRM configuration
Show 2 propertiesHide 2 properties
PlayReady configuration
Show 2 propertiesHide 2 properties
customLicenseAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a PlayReady license delivery service.
playReadyCustomAttributesstringOptional
The custom attributes for PlayReady.
Widevine configuration
Show 1 propertyHide 1 property
customLicenseAcquisitionUrlTemplatestringOptional
The custom license acquisition URL template for a Widevine license delivery service.
enabledProtocolsobjectEnabledProtocolsOptional
Enabled protocols. This is the set of protocols (dash, download, and hls) that will be delivered with common encryption.
Show 4 propertiesHide 4 properties
dashbooleanRequired
Enable Dash protocol
downloadbooleanRequired
Enable download protocol
hlsbooleanRequired
Enable HLS protocol
smoothStreamingbooleanRequired
Smooth streaming is not supported and the value of this field is ignored.
defaultContentKeyPolicyNamestringOptional<=260 characters
The default content key policy name used by current streaming policy.
envelopeEncryptionobjectEnvelopeEncryptionOptional
EnvelopeEncryption
Show 4 propertiesHide 4 properties
clearTrackslist of objectsStreamingPolicyTrackSelectionOptional
Clear tracks. This is the set of tracks that will be delivered without envelope encryption.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
contentKeysobjectStreamingPolicyContentKeysOptional
Content keys used by the streaming policy.
Show 2 propertiesHide 2 properties
defaultKeyobjectDefaultKeyOptional
Default content key used by the encryption.
Show 2 propertiesHide 2 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
keyToTrackMappingslist of objectsStreamingPolicyContentKeyOptional
List of content keys used by the key. Used to assign different keys to different tracks. For instance, using widevine L3 for SD and L1 for HD.
Show 3 propertiesHide 3 properties
labelstringOptional
Labels are a potential matching field for selecting a content key via a streaming locator.
policyNamestringOptional
Policy used by the key.
trackslist of objectsStreamingPolicyTrackSelectionOptional
This represents which tracks should be encrypted.
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingPolicyTrackPropertyConditionOptional
track selections is used to specify a set or a subset of track for selection by the streaming policy.
Show 3 propertiesHide 3 properties
operationenumRequired
Track property operation. Only equality is supported.
Allowed values:UnknownEqual
propertyenumRequired
Track property type
Allowed values:UnknownFourCC
valuestringOptional
Track property value
customKeyAcquisitionUrlTemplatestringOptional1-1024 characters
Optional template for the customer service to use for key acquisition. Not needed if using the built-in key delivery service.
enabledProtocolsobjectEnabledProtocolsOptional
Enabled protocols. This is the set of protocols (dash, download, and hls) that will be delivered with envelope encryption.
Show 4 propertiesHide 4 properties
dashbooleanRequired
Enable Dash protocol
downloadbooleanRequired
Enable download protocol
hlsbooleanRequired
Enable HLS protocol
smoothStreamingbooleanRequired
Smooth streaming is not supported and the value of this field is ignored.
noEncryptionobjectNoEncryptionOptional
NoEncryption
Show 1 propertyHide 1 property
enabledProtocolsobjectEnabledProtocolsOptional
Enabled protocols. This is the set of protocols (dash, download, and hls) that will be delivered without encryption.
Show 4 propertiesHide 4 properties
dashbooleanRequired
Enable Dash protocol
downloadbooleanRequired
Enable download protocol
hlsbooleanRequired
Enable HLS protocol
smoothStreamingbooleanRequired
Smooth streaming is not supported and the value of this field is ignored.
systemDataobjectSystemDataSchemaOptional
Metadata pertaining to creation and last modification of the resource.
Show 7 propertiesHide 7 properties
createdAtstringRequiredformat: date-time
The timestamp of resource creation (UTC).
createdBystringRequired
The identity that created the resource.
createdByTypeenumRequired
The type of identity that created the resource.
Allowed values:UserApplicationManagedIdentityKey
internalIdstringRequiredformat: uuid
The internal ID of the resource.
lastModifiedAtstringRequiredformat: date-time
The timestamp of resource last modification (UTC).
lastModifiedBystringRequired
The identity that last modified the resource.
lastModifiedByTypeenumRequired
The type of identity that last modified the resource.
Allowed values:UserApplicationManagedIdentityKey
typestringOptional
The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code